Bug 1026731 - usb-devices does not show the kernel driver
usb-devices does not show the kernel driver
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: usbutils (Show other bugs)
21
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 05:17 EST by spital
Modified: 2015-12-02 11:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 22:01:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spital 2013-11-05 05:17:56 EST
Description of problem:

usb-devices does not show the kernel driver

Version-Release number of selected component (if applicable):

# uname -r
3.11.6-201.fc19.x86_64
# rpm -qa | grep usbutils
usbutils-007-1.fc19.x86_64


How reproducible:

connect moschip usb ethernet adapter ( white - looks like apple devices )

Steps to Reproduce:
# lsusb | grep 9710
Bus 001 Device 003: ID 9710:7830 MosChip Semiconductor MCS7830 10/100 Mbps Ethernet adapter
# usb-devices | grep -A7 -B3 9710

T:  Bus=01 Lev=02 Prnt=02 Port=04 Cnt=01 Dev#=  3 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=ff(vend.) Sub=00 Prot=ff MxPS=64 #Cfgs=  1
P:  Vendor=9710 ProdID=7830 Rev=01.00
S:  Manufacturer=Moschip Semiconductor
S:  Product=USB-MAC Controller   
S:  SerialNumber=555599d5
C:  #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=500mA
/bin/usb-devices: line 79: printf: usb-ethernet: invalid number
I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=00 Prot=ff Driver=MOSCHIP
/bin/usb-devices: line 79: printf: driver: invalid number
I:  If#= 0 Alt= 0 #EPs= 0 Cls=() Sub= Prot= Driver=


Correct results:

# cd /sys/bus/usb/devices/1-1.5  ### why here ??
# cat idVendor idProduct manufacturer product
9710
7830
Moschip Semiconductor
USB-MAC Controller   
# cat "1-1.5:1.0/modalias"
usb:v9710p7830d0100dcFFdsc00dpFFicFFisc00ipFFin00
# readlink driver
../../../../../../bus/usb/drivers/usb ### ???
# /sbin/modinfo $(cat "1-1.5:1.0/modalias")
filename:       /lib/modules/3.11.6-201.fc19.x86_64/kernel/drivers/net/usb/mcs7830.ko
license:        GPL
description:    USB to network adapter MCS7830)
alias:          usb:v0DF6p0021d*dc*dsc*dp*ic*isc*ip*in*
alias:          usb:v9710p7730d*dc*dsc*dp*ic*isc*ip*in*
alias:          usb:v9710p7830d*dc*dsc*dp*ic*isc*ip*in*
alias:          usb:v9710p7832d*dc*dsc*dp*ic*isc*ip*in*
depends:        usbnet,mii
intree:         Y
vermagic:       3.11.6-201.fc19.x86_64 SMP mod_unload 
signer:         Fedora kernel signing key
sig_key:        A8:E6:E9:DD:1F:F1:66:73:00:4F:5B:A9:4A:9F:94:87:4C:F7:2A:1B
sig_hashalgo:   sha256
Comment 1 Fedora End Of Life 2015-01-09 15:28:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 14:03:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 spital 2015-02-23 11:10:25 EST
# yum -y install usbutils
# lsusb | grep 9710
Bus 003 Device 022: ID 9710:7830 MosChip Semiconductor MCS7830 10/100 Mbps Ethernet adapter
# uname -r
3.17.8-300.fc21.x86_64
# usb-devices | grep -A7 -B3 9710

T:  Bus=03 Lev=01 Prnt=01 Port=04 Cnt=02 Dev#= 22 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=ff(vend.) Sub=00 Prot=ff MxPS=64 #Cfgs=  1
P:  Vendor=9710 ProdID=7830 Rev=01.00
S:  Manufacturer=Moschip Semiconductor
S:  Product=USB-MAC Controller   
S:  SerialNumber=555599d5
C:  #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=500mA
/bin/usb-devices: line 79: printf: usb-ethernet: invalid number
/bin/usb-devices: line 79: printf: driver: invalid number
I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=00 Prot=ff Driver=MOSCHIP
I:  If#= 0 Alt= 0 #EPs= 0 Cls=() Sub= Prot= Driver=

find /sys/bus/usb/ -name "*id*"
...
...
/sys/bus/usb/drivers/MOSCHIP usb-ethernet driver/new_id
/sys/bus/usb/drivers/MOSCHIP usb-ethernet driver/remove_id
...
...


still "/bin/usb-devices: line 79: printf: usb-ethernet: invalid number"
see above
Comment 4 spital 2015-02-23 11:13:11 EST
works fine with other :

# lsusb | grep 9601
Bus 003 Device 024: ID 0fe6:9700 Kontron (Industrial Computer Source / ICS Advent) DM9601 Fast Ethernet Adapter

# usb-devices | grep -A7 -B3 9601
P:  Vendor=0fe6 ProdID=9700 Rev=01.01
S:  Product=USB 2.0 10/100M Ethernet Adaptor
C:  #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=120mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=00(>ifc ) Sub=00 Prot=00 Driver=dm9601

T:  Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=5000 MxCh= 6
D:  Ver= 3.00 Cls=09(hub  ) Sub=00 Prot=03 MxPS= 9 #Cfgs=  1
P:  Vendor=1d6b ProdID=0003 Rev=03.17
S:  Manufacturer=Linux 3.17.8-300.fc21.x86_64 xhci_hcd
S:  Product=xHCI Host Controller
S:  SerialNumber=0000:00:14.0

no error above
Comment 5 Lukáš Nykrýn 2015-02-24 04:46:33 EST
Can you please run it again with this small modification?

diff --git a/usb-devices b/usb-devices
index b14ca0d..cb17acd 100755
--- a/usb-devices
+++ b/usb-devices
@@ -75,11 +75,12 @@ print_interface() {
        else
                driver="(none)"
        fi
+        set -x
        classname=`class_decode $class`
        printf "I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n" \
                0x${ifnum#0} ${altset#0} ${numeps#0} $class "$classname" $subclass \
                $protocol $driver
-
+        set +x
        for endpoint in $ifpath/ep_??
        do
                if [ -L $endpoint ]; then       # v4: verify endpoint exists
Comment 6 spital 2015-02-24 05:53:13 EST
hmmm ... patch did not work for me, edited manually :

lsusb | grep 9710
Bus 003 Device 027: ID 9710:7830 MosChip Semiconductor MCS7830 10/100 Mbps Ethernet adapter

# usb-devices | grep -A7 -B3 9710
++ class_decode 09
++ local class=09
++ case $class in
++ echo 'hub  '
+ classname='hub  '
+ printf 'I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n' 0 0 1 09 'hub  ' 00 00 hub
+ set +x
++ class_decode 09
++ local class=09
++ case $class in
++ echo 'hub  '
+ classname='hub  '
+ printf 'I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n' 0 0 1 09 'hub  ' 00 00 hub
+ set +x
++ class_decode 09
++ local class=09
++ case $class in
++ echo 'hub  '
+ classname='hub  '
+ printf 'I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n' 0 0 1 09 'hub  ' 00 00 hub
+ set +x
++ class_decode 09
++ local class=09
++ case $class in
++ echo 'hub  '
+ classname='hub  '
+ printf 'I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n' 0 0 1 09 'hub  ' 00 00 hub
+ set +x
++ class_decode 09
++ local class=09
++ case $class in
++ echo 'hub  '
+ classname='hub  '
+ printf 'I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n' 0 0 1 09 'hub  ' 00 00 hub
+ set +x
++ class_decode 03
++ local class=03
++ case $class in
++ echo 'HID  '
+ classname='HID  '
+ printf 'I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n' 0 0 2 03 'HID  ' 01 02 usbhid
+ set +x

T:  Bus=03 Lev=01 Prnt=01 Port=04 Cnt=02 Dev#= 27 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=ff(vend.) Sub=00 Prot=ff MxPS=64 #Cfgs=  1
P:  Vendor=9710 ProdID=7830 Rev=01.00
S:  Manufacturer=Moschip Semiconductor
S:  Product=USB-MAC Controller   
S:  SerialNumber=555599d5
C:  #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=500mA
++ class_decode ff
++ local class=ff
++ case $class in
++ echo vend.
+ classname=vend.
+ printf 'I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n' 0 0 3 ff vend. 00 ff MOSCHIP usb-ethernet driver
/bin/usb-devices: line 80: printf: usb-ethernet: invalid number
/bin/usb-devices: line 80: printf: driver: invalid number
+ set +x
I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=00 Prot=ff Driver=MOSCHIP
I:  If#= 0 Alt= 0 #EPs= 0 Cls=() Sub= Prot= Driver=

++ class_decode 09
++ local class=09
++ case $class in
++ echo 'hub  '
+ classname='hub  '
+ printf 'I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n' 0 0 1 09 'hub  ' 00 00 hub
+ set +x
Comment 7 spital 2015-02-24 05:59:39 EST
double quotes removed the error :

<------>printf "I:  If#=%2i Alt=%2i #EPs=%2i Cls=%s(%s) Sub=%s Prot=%s Driver=%s\n" \
<------><------>${ifnum#0} ${altset#0} ${numeps#0} $class "$classname" $subclass \
<------><------>"$protocol" "$driver"


but is that right ?

Driver=MOSCHIP usb-ethernet driver
Comment 8 Fedora End Of Life 2015-11-04 10:40:12 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-12-01 22:01:32 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.